package com.community.huiju.model;

import java.time.LocalDateTime;
import java.util.Date;
import java.util.List;

public class TpTransactionReply {
    
    private Integer id;
    /**
     * 小区id
     */
    private Integer communityId;
    
    /**
     * 交易帖子ID
     */
    private Integer transactionId;
    
    /**
     * 回复帖子的ID,根据uuid_type区分物业端app端
     */
    private Integer uuid;
    
    /**
     * app/prop
     */
    private String uuidType;
    
    /**
     * 回复帖子的姓名
     */
    private String uuidName;
    
    /**
     * 回复帖子的角色
     */
    private String uuidRole;
    
    /**
     * 回复内容
     */
    private String replyContent;
    
    /**
     * 发布类型1 是评论 0 是回复评论
     */
    private String publishType;
    
    /**
     * 被回复的评论内容的用户ID根据uuidtype区分
     */
    private Integer replyUuid;
    
    /**
     * app/prop
     */
    private String replyUuidType;
    
    /**
     * 被回复的评论内容的姓名
     */
    private String replyUuidName;
    
    /**
     * 被回复的评论人的角色
     */
    private String replyUuidRole;
    
    /**
     * 发布者身份
     */
    private String releaseIdentity;
    
    /**
     * 创建时间
     */
    private Date createDate;
    
    /**
     * 用户角色
     */
    private String roleName;
    /**
     * 住户端 的角色
     */
    private String taRoleName;

    /**
     * 被回复人 的角色
     */
    private String replyRoleName;
    
    private String createUserName;
    
    /**
     * 被回复的评论ID
     */
    private Integer replyId;
    
    /**
     * 回复的图片
     * @return
     */
    private List<String> imgList;
    
    private String roomNoName;

    public String getRoomNoName() {
        return roomNoName;
    }

    public void setRoomNoName(String roomNoName) {
        this.roomNoName = roomNoName;
    }

    

    public void setReleaseIdentity(String releaseIdentity) {
        this.releaseIdentity = releaseIdentity;
    }

    public String getReleaseIdentity() {
        return releaseIdentity;
    }

    public List<String> getImgList() {
        return imgList;
    }

    public void setImgList(List<String> imgList) {
        this.imgList = imgList;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getCommunityId() {
        return communityId;
    }

    public void setCommunityId(Integer communityId) {
        this.communityId = communityId;
    }

    public Integer getTransactionId() {
        return transactionId;
    }

    public void setTransactionId(Integer transactionId) {
        this.transactionId = transactionId;
    }
    
    public String getRoleName() {
        return roleName;
    }
    
    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }
    
    public String getReplyContent() {
        return replyContent;
    }

    public void setReplyContent(String replyContent) {
        this.replyContent = replyContent == null ? null : replyContent.trim();
    }
    
    public Integer getUuid() {
        return uuid;
    }
    
    public void setUuid(Integer uuid) {
        this.uuid = uuid;
    }
    
    public String getUuidType() {
        return uuidType;
    }
    
    public void setUuidType(String uuidType) {
        this.uuidType = uuidType;
    }
    
    public String getUuidName() {
        return uuidName;
    }
    
    public void setUuidName(String uuidName) {
        this.uuidName = uuidName;
    }
    
    public String getUuidRole() {
        return uuidRole;
    }
    
    public void setUuidRole(String uuidRole) {
        this.uuidRole = uuidRole;
    }
    
    public Integer getReplyUuid() {
        return replyUuid;
    }
    
    public void setReplyUuid(Integer replyUuid) {
        this.replyUuid = replyUuid;
    }
    
    public String getReplyUuidType() {
        return replyUuidType;
    }
    
    public void setReplyUuidType(String replyUuidType) {
        this.replyUuidType = replyUuidType;
    }
    
    public String getReplyUuidName() {
        return replyUuidName;
    }
    
    public void setReplyUuidName(String replyUuidName) {
        this.replyUuidName = replyUuidName;
    }
    
    public String getReplyUuidRole() {
        return replyUuidRole;
    }
    
    public void setReplyUuidRole(String replyUuidRole) {
        this.replyUuidRole = replyUuidRole;
    }
    
    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public String getTaRoleName() {
        return taRoleName;
    }

    public void setTaRoleName(String taRoleName) {
        this.taRoleName = taRoleName;
    }

    public String getReplyRoleName() {
        return replyRoleName;
    }

    public void setReplyRoleName(String replyRoleName) {
        this.replyRoleName = replyRoleName;
    }
    
    public String getCreateUserName() {
        return createUserName;
    }
    
    public Integer getReplyId() {
        return replyId;
    }
    
    public void setReplyId(Integer replyId) {
        this.replyId = replyId;
    }
    
    public String getPublishType() {
        return publishType;
    }
    
    public void setPublishType(String publishType) {
        this.publishType = publishType;
    }
    
    public void setCreateUserName(String createUserName) {
        this.createUserName = createUserName;
    }
}